<template>
  <div id="app">
    <div id="nav" class="wrapper flex-col flex-col--align-center">
      <h1 class="flex-col--2">Awesome Store</h1>
      <div class="flex-col--2 nav-items">
        <router-link to="/" class="nav-items__item">Tienda</router-link>
        <router-link 
          :to="{ name: 'gender-overview', params: { gender: 'women'}}" 
          class="nav-items__item">Mujer</router-link>
          <router-link
            :to="{ name: 'gender-overview', params: { gender: 'men'}}"    
            class="nav-items__item">Hombre</router-link>
            <router-link to="/addProduct" class="nav-items__item">
          Agregar producto
        </router-link>
        <router-link to="/History" class="nav-items__item">
          Historial de ventas
        </router-link>
        <router-link to="/cart" class="nav-items__item">
          Cart
          <counter-badge :count="cartCount"></counter-badge>
        </router-link>
      </div>
    </div>
    <router-view/>
  </div>
</template>

<script>
import CounterBadge from '@/components/CounterBadge';

export default {
  name: 'app',
  components: { CounterBadge },
  computed: {
    cartCount() {
      return this.$store.state.cart.length
    }
  }
}
</script>

<style lang="scss">
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
}
a { 
  text-decoration: none;
  color: #2c3e50;
  transition: all .3s ease;
  &:hover {
    color: #42b983
  }
}
#nav {
  padding: 30px;
  a {
    font-weight: bold;
    color: #2c3e50;
    text-decoration: none;
    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
.nav-items {
  justify-content: flex-end;
  display: flex;
}
.nav-items__item {
  margin-left: 1rem;
  position: relative;
}
ul {
  padding-left: 0;
  list-style: none;
}
</style>
